> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List template groups

> Retrieve a paginated list of template groups.

Retrieve a list of template groups. You can filter by company to retrieve groups belonging to a specific company.

### Query parameters

<ParamField query="companyId" type="integer">
  Filter by company ID to retrieve groups belonging to a specific company.
</ParamField>

<ParamField query="page" type="integer" default="1">
  Page number.
</ParamField>

<ParamField query="limit" type="integer" default="20">
  Items per page limit.
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "page": 1,
    "itemsPerPage": 20,
    "result": [
      {
        "id": 1,
        "name": "Default Import Group",
        "code": "IMP-DEFAULT",
        "isDefault": true,
        "companyId": 1
      }
    ]
  }
  ```
</ResponseExample>
